commit e29a2b34bc469a997d2d34f8731fff541b039e3e
Author: freddy77 <freddy77>
Date:   Wed Dec 3 12:55:52 2008 +0000

    remove global RetCode

diff --git a/ChangeLog b/ChangeLog
index 33a643e..b9e4922 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,19 @@
+Wed Dec 03 13:54:18 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/array_out.c src/odbc/unittests/blob1.c:
+	* src/odbc/unittests/cancel.c src/odbc/unittests/common.c:
+	* src/odbc/unittests/common.h src/odbc/unittests/connect.c:
+	* src/odbc/unittests/cursor1.c src/odbc/unittests/cursor5.c:
+	* src/odbc/unittests/cursor7.c src/odbc/unittests/error.c:
+	* src/odbc/unittests/lang_error.c src/odbc/unittests/prepclose.c:
+	* src/odbc/unittests/print.c src/odbc/unittests/putdata.c:
+	* src/odbc/unittests/raiserror.c src/odbc/unittests/tables.c:
+	* src/odbc/unittests/timeout.c src/odbc/unittests/timeout4.c:
+	* src/odbc/unittests/transaction.c src/odbc/unittests/transaction2.c:
+	* src/odbc/unittests/typeinfo.c src/odbc/unittests/utf8.c:
+	* src/odbc/unittests/warning.c:
+	- remove global RetCode
+	- new Command2 macro, use it
+
 Wed Dec 03 09:35:32 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/cs.c src/dblib/dblib.c: avoid possible buffer overflow
 	* src/dblib/dbutil.c: make message const
@@ -987,4 +1003,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2668 2008/12/03 08:37:10 freddy77 Exp $
+$Id: ChangeLog,v 1.2669 2008/12/03 12:55:52 freddy77 Exp $
diff --git a/src/odbc/unittests/array_out.c b/src/odbc/unittests/array_out.c
index 1c8c8d5..3c802b9 100644
--- a/src/odbc/unittests/array_out.c
+++ b/src/odbc/unittests/array_out.c
@@ -3,7 +3,7 @@
 
 /* Test using array binding */
 
-static char software_version[] = "$Id: array_out.c,v 1.14 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: array_out.c,v 1.15 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char *test_query = NULL;
@@ -30,7 +30,6 @@ query_test(const char* expected, const char *expected_status)
 	int desc_len = trunc ? 4 : 51;
 	int rec_size = 0;
 	Record *rec = NULL;
-	RETCODE RetCode;
 	char status[20];
 
 	assert(Statement != SQL_NULL_HSTMT);
diff --git a/src/odbc/unittests/blob1.c b/src/odbc/unittests/blob1.c
index 5e1240e..1633264 100755
--- a/src/odbc/unittests/blob1.c
+++ b/src/odbc/unittests/blob1.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: blob1.c,v 1.13 2008/11/10 17:20:39 freddy77 Exp $";
+static char software_version[] = "$Id: blob1.c,v 1.14 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define CHECK_RCODE(t,h,m) \
@@ -86,7 +86,7 @@ check_hex(const char *buf, size_t len, unsigned int start, unsigned int step)
 static int
 readBlob(SQLUSMALLINT pos)
 {
-	SQLRETURN RetCode;
+	SQLRETURN rc;
 	char buf[4096];
 	SQLLEN len, total = 0;
 	int i = 0;
@@ -95,8 +95,8 @@ readBlob(SQLUSMALLINT pos)
 	printf(">> readBlob field %d\n", pos);
 	while (1) {
 		i++;
-		CHKGetData(pos, SQL_C_BINARY, (SQLPOINTER) buf, (SQLINTEGER) sizeof(buf), &len, "SINo");
-		if (RetCode == SQL_NO_DATA || len <= 0)
+		rc = CHKGetData(pos, SQL_C_BINARY, (SQLPOINTER) buf, (SQLINTEGER) sizeof(buf), &len, "SINo");
+		if (rc == SQL_NO_DATA || len <= 0)
 			break;
 		if (len > (SQLLEN) sizeof(buf))
 			len = (SQLLEN) sizeof(buf);
@@ -114,13 +114,13 @@ readBlob(SQLUSMALLINT pos)
 	printf(">>   total bytes read = %d \n", (int) total);
 	if (total != 10000)
 		failed = 1;
-	return RetCode;
+	return rc;
 }
 
 static int
 readBlobAsChar(SQLUSMALLINT pos, int step)
 {
-	SQLRETURN RetCode = SQL_SUCCESS_WITH_INFO;
+	SQLRETURN rc = SQL_SUCCESS_WITH_INFO;
 	char buf[8192];
 	SQLLEN len, total = 0;
 	int i = 0;
@@ -131,10 +131,10 @@ readBlobAsChar(SQLUSMALLINT pos, int step)
 	else bufsize = sizeof(buf);
 
 	printf(">> readBlobAsChar field %d\n", pos);
-	while (RetCode == SQL_SUCCESS_WITH_INFO) {
+	while (rc == SQL_SUCCESS_WITH_INFO) {
 		i++;
-		CHKGetData(pos, SQL_C_CHAR, (SQLPOINTER) buf, (SQLINTEGER) bufsize, &len, "SINo");
-		if (RetCode == SQL_NO_DATA || len <= 0)
+		rc = CHKGetData(pos, SQL_C_CHAR, (SQLPOINTER) buf, (SQLINTEGER) bufsize, &len, "SINo");
+		if (rc == SQL_NO_DATA || len <= 0)
 			break;
 		if (len > (SQLLEN) bufsize)
 			len = (SQLLEN) bufsize - 1;
@@ -151,7 +151,7 @@ readBlobAsChar(SQLUSMALLINT pos, int step)
 	printf(">>   total bytes read = %d \n", (int) total);
 	if (total != 20000)
 		failed = 1;
-	return RetCode;
+	return rc;
 }
 
 
@@ -208,15 +208,13 @@ main(int argc, char **argv)
 		
 
 		printf(">> insert... %d\n", i);
-		CHKExecute("SINe");
+		RetCode = CHKExecute("SINe");
 		while (RetCode == SQL_NEED_DATA) {
 			char *p;
 
-			CHKParamData((SQLPOINTER) & p, "SINe");
+			RetCode = CHKParamData((SQLPOINTER) & p, "SINe");
 			printf(">> SQLParamData: ptr = %p  RetCode = %d\n", (void *) p, RetCode);
 			if (RetCode == SQL_NEED_DATA) {
-				SQLRETURN RetCode;
-
 				if (p == buf3) {
 					fill_hex(buf3, NBYTES, 987, 25);
 					
diff --git a/src/odbc/unittests/cancel.c b/src/odbc/unittests/cancel.c
index b7c7ab0..239707d 100644
--- a/src/odbc/unittests/cancel.c
+++ b/src/odbc/unittests/cancel.c
@@ -45,8 +45,6 @@ exit_forced(int s)
 static void
 sigalrm_handler(int s)
 {
-	SQLRETURN RetCode;
-
 	printf(">>>> SQLCancel() ...\n");
 	CHKCancel("S");
 	printf(">>>> ... SQLCancel done\n");
@@ -58,8 +56,6 @@ sigalrm_handler(int s)
 int
 main(int argc, char **argv)
 {
-	SQLRETURN RetCode;
-
 	use_odbc_version3 = 1;
 	Connect();
 
@@ -74,7 +70,6 @@ main(int argc, char **argv)
 		Disconnect();
 		return 1;
 	}
-	printf(">> ...  done RetCode = %d\n", RetCode);
 
 	ResetStatement();
 
diff --git a/src/odbc/unittests/common.c b/src/odbc/unittests/common.c
index 897903b..fd4c3c0 100644
--- a/src/odbc/unittests/common.c
+++ b/src/odbc/unittests/common.c
@@ -12,13 +12,12 @@
 #define TDS_SDIR_SEPARATOR "\\"
 #endif
 
-static char software_version[] = "$Id: common.c,v 1.52 2008/11/11 08:40:17 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.53 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 HENV Environment;
 HDBC Connection;
 HSTMT Statement;
-SQLRETURN RetCode;
 int use_odbc_version3 = 0;
 void (*odbc_set_conn_attr)(void) = NULL;
 
@@ -192,9 +191,6 @@ ReportODBCError(const char *errmsg, SQLSMALLINT handletype, SQLHANDLE handle, SQ
 int
 Connect(void)
 {
-
-	SQLRETURN RetCode;
-
 	char command[512];
 
 	if (read_login_info())
@@ -321,7 +317,6 @@ void
 CheckCols(int n, int line, const char * file)
 {
 	SQLSMALLINT cols;
-	SQLRETURN RetCode;
 
 	if (n < 0) {
 		CHKNumResultCols(&cols, "E");
@@ -339,7 +334,6 @@ void
 CheckRows(int n, int line, const char * file)
 {
 	SQLLEN rows;
-	SQLRETURN RetCode;
 
 	if (n < -1) {
 		CHKRowCount(&rows, "E");
@@ -434,11 +428,10 @@ AllocHandleErrType(SQLSMALLINT type)
 	return 0;
 }
 
-#undef Command
 SQLRETURN
-Command(HSTMT stmt, const char *command, const char *file, int line)
+CommandProc(HSTMT stmt, const char *command, const char *file, int line, const char *res)
 {
 	printf("%s\n", command);
-	return CheckRes(file, line, SQLExecDirect(stmt, (SQLCHAR *) command, SQL_NTS), SQL_HANDLE_STMT, stmt, "Command", "SNo");
+	return CheckRes(file, line, SQLExecDirect(stmt, (SQLCHAR *) command, SQL_NTS), SQL_HANDLE_STMT, stmt, "Command", res);
 }
 
diff --git a/src/odbc/unittests/common.h b/src/odbc/unittests/common.h
index a698ab6..35ed75c 100644
--- a/src/odbc/unittests/common.h
+++ b/src/odbc/unittests/common.h
@@ -21,7 +21,7 @@
 #include <sql.h>
 #include <sqlext.h>
 
-static char rcsid_common_h[] = "$Id: common.h,v 1.27 2008/11/06 15:56:39 freddy77 Exp $";
+static char rcsid_common_h[] = "$Id: common.h,v 1.28 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_common_h_warn[] = { rcsid_common_h, no_unused_common_h_warn };
 
 #ifndef HAVE_SQLLEN
@@ -36,7 +36,6 @@ static void *no_unused_common_h_warn[] = { rcsid_common_h, no_unused_common_h_wa
 extern HENV Environment;
 extern HDBC Connection;
 extern HSTMT Statement;
-extern SQLRETURN RetCode;
 extern int use_odbc_version3;
 extern void (*odbc_set_conn_attr)(void);
 
@@ -61,9 +60,9 @@ void CheckCursor(void);
 
 SQLRETURN CheckRes(const char *file, int line, SQLRETURN rc, SQLSMALLINT handle_type, SQLHANDLE handle, const char *func, const char *res);
 #define CHKR(func, params, res) \
-	CheckRes(__FILE__, __LINE__, (RetCode=(func params)), 0, 0, #func, res)
+	CheckRes(__FILE__, __LINE__, (func params), 0, 0, #func, res)
 #define CHKR2(func, params, type, handle, res) \
-	CheckRes(__FILE__, __LINE__, (RetCode=(func params)), type, handle, #func, res)
+	CheckRes(__FILE__, __LINE__, (func params), type, handle, #func, res)
 
 SQLSMALLINT AllocHandleErrType(SQLSMALLINT type);
 
@@ -144,8 +143,9 @@ SQLSMALLINT AllocHandleErrType(SQLSMALLINT type);
 
 int Connect(void);
 int Disconnect(void);
-SQLRETURN Command(HSTMT stmt, const char *command, const char *file, int line);
-#define Command(cmd) (RetCode=Command(Statement, cmd, __FILE__, __LINE__))
+SQLRETURN CommandProc(HSTMT stmt, const char *command, const char *file, int line, const char *res);
+#define Command(cmd) CommandProc(Statement, cmd, __FILE__, __LINE__, "SNo")
+#define Command2(cmd, res) CommandProc(Statement, cmd, __FILE__, __LINE__, res)
 SQLRETURN CommandWithResult(HSTMT stmt, const char *command);
 int db_is_microsoft(void);
 const char *db_version(void);
diff --git a/src/odbc/unittests/connect.c b/src/odbc/unittests/connect.c
index f634bae..119ac37 100644
--- a/src/odbc/unittests/connect.c
+++ b/src/odbc/unittests/connect.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: connect.c,v 1.11 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: connect.c,v 1.12 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -20,6 +20,7 @@ main(int argc, char *argv[])
 	SQLSMALLINT len;
 	int failures = 0;
 	int is_freetds = 1;
+	SQLRETURN rc;
 
 	if (read_login_info())
 		exit(1);
@@ -68,9 +69,9 @@ main(int argc, char *argv[])
 	/* this is expected to work with unixODBC */
 	init_connect();
 	sprintf(tmp, "DRIVER=FreeTDS;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", SERVER, USER, PASSWORD, DATABASE);
-	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
-	if (RetCode == SQL_ERROR) {
-		printf("Unable to open data source (ret=%d)\n", RetCode);
+	rc = CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
+	if (rc == SQL_ERROR) {
+		printf("Unable to open data source (ret=%d)\n", rc);
 		++failures;
 	}
 	Disconnect();
@@ -78,9 +79,9 @@ main(int argc, char *argv[])
 	/* this is expected to work with iODBC */
 	init_connect();
 	sprintf(tmp, "DRIVER=%s;SERVERNAME=%s;UID=%s;PWD=%s;DATABASE=%s;", DRIVER, SERVER, USER, PASSWORD, DATABASE);
-	CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
-	if (RetCode == SQL_ERROR) {
-		printf("Unable to open data source (ret=%d)\n", RetCode);
+	rc = CHKDriverConnect(NULL, (SQLCHAR *) tmp, SQL_NTS, (SQLCHAR *) tmp, sizeof(tmp), &len, SQL_DRIVER_NOPROMPT, "SIE");
+	if (rc == SQL_ERROR) {
+		printf("Unable to open data source (ret=%d)\n", rc);
 		++failures;
 	}
 	Disconnect();
diff --git a/src/odbc/unittests/cursor1.c b/src/odbc/unittests/cursor1.c
index f282a19..63eddc7 100644
--- a/src/odbc/unittests/cursor1.c
+++ b/src/odbc/unittests/cursor1.c
@@ -2,7 +2,7 @@
 
 /* Test cursors */
 
-static char software_version[] = "$Id: cursor1.c,v 1.18 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: cursor1.c,v 1.19 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SWAP_STMT(b) do { SQLHSTMT xyz = Statement; Statement = b; b = xyz; } while(0)
@@ -12,10 +12,10 @@ static int mssql2005 = 0;
 static void
 CheckNoRow(const char *query)
 {
-	SQLRETURN RetCode;
+	SQLRETURN rc;
 
-	CHKExecDirect((SQLCHAR *) query, SQL_NTS, "SINo");
-	if (RetCode == SQL_NO_DATA)
+	rc = CHKExecDirect((SQLCHAR *) query, SQL_NTS, "SINo");
+	if (rc == SQL_NO_DATA)
 		return;
 
 	do {
@@ -44,7 +44,6 @@ Test0(int use_sql, const char *create_sql, const char *insert_sql, const char *s
 	SQLUSMALLINT i;
 	SQLULEN num_row;
 	SQLHSTMT stmt2;
-	SQLRETURN RetCode;
 
 	/* create test table */
 	Command("IF OBJECT_ID('tempdb..#test') IS NOT NULL DROP TABLE #test");
diff --git a/src/odbc/unittests/cursor5.c b/src/odbc/unittests/cursor5.c
index b394ec0..2fc451e 100755
--- a/src/odbc/unittests/cursor5.c
+++ b/src/odbc/unittests/cursor5.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: cursor5.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: cursor5.c,v 1.9 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLINTEGER v_int_3;
@@ -14,7 +14,7 @@ doFetch(int dir, int pos)
 {
 	SQLRETURN RetCode;
 
-	CHKFetchScroll(dir, pos, "SINo");
+	RetCode = CHKFetchScroll(dir, pos, "SINo");
 
 	if (RetCode != SQL_NO_DATA)
 		printf(">> fetch %2d %10d : %d [%s]\n", dir, pos, v_ind_3_1 ? (int) v_int_3 : -1, v_ind_3_2 ? v_char_3 : "null");
diff --git a/src/odbc/unittests/cursor7.c b/src/odbc/unittests/cursor7.c
index 6aaf64d..2be1706 100644
--- a/src/odbc/unittests/cursor7.c
+++ b/src/odbc/unittests/cursor7.c
@@ -2,7 +2,7 @@
 
 /* Test SQLFetchScroll with a non-unitary rowset, using bottom-up direction */
 
-static char software_version[] = "$Id: cursor7.c,v 1.7 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: cursor7.c,v 1.8 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -38,7 +38,7 @@ Test(void)
 
 	/* Read records from last to first */
 	printf("\n\nReading records from last to first:\n");
-	CHKFetchScroll(SQL_FETCH_LAST, -ROWS, "SINo");
+	RetCode = CHKFetchScroll(SQL_FETCH_LAST, -ROWS, "SINo");
 	while (RetCode != SQL_NO_DATA) {
 		SQLULEN RowNumber;
 
@@ -54,11 +54,11 @@ Test(void)
 
 		/* Read next rowset */
 		if ( (RowNumber>1) && (RowNumber<ROWS) ) {
-			CHKFetchScroll(SQL_FETCH_RELATIVE, 1-RowNumber, "SINo"); 
+			RetCode = CHKFetchScroll(SQL_FETCH_RELATIVE, 1-RowNumber, "SINo"); 
 			for (i=RowNumber-1; i<ROWS; ++i)
 				statuses[i] = SQL_ROW_NOROW;
 		} else {
-			CHKFetchScroll(SQL_FETCH_RELATIVE, -ROWS, "SINo");
+			RetCode = CHKFetchScroll(SQL_FETCH_RELATIVE, -ROWS, "SINo");
 		}
 	}
 }
diff --git a/src/odbc/unittests/error.c b/src/odbc/unittests/error.c
index d962444..f7d8e76 100644
--- a/src/odbc/unittests/error.c
+++ b/src/odbc/unittests/error.c
@@ -2,7 +2,7 @@
 
 /* some tests on error reporting */
 
-static char software_version[] = "$Id: error.c,v 1.8 2008/11/11 08:40:17 freddy77 Exp $";
+static char software_version[] = "$Id: error.c,v 1.9 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -32,7 +32,7 @@ main(int argc, char *argv[])
 	Command("insert into #tmp values(7)");
 
 	/* issue our command */
-	CHKR(CommandWithResult, (Statement, "select 100 / (i - 5) from #tmp order by i"), "SE");
+	RetCode = Command2("select 100 / (i - 5) from #tmp order by i", "SE");
 
 	/* special case, early Sybase detect error early */
 	if (RetCode != SQL_ERROR) {
@@ -58,12 +58,12 @@ main(int argc, char *argv[])
 
 	Command("SELECT * FROM sysobjects");
 
-	/* a statement is already active so you get error */
-	CHKR(CommandWithResult, (stmt, "SELECT * FROM sysobjects"), "E");
-
 	tmp_stmt = Statement;
 	Statement = stmt;
 
+	/* a statement is already active so you get error */
+	Command2("SELECT * FROM sysobjects", "E");
+
 	ReadError();
 
 	Disconnect();
diff --git a/src/odbc/unittests/lang_error.c b/src/odbc/unittests/lang_error.c
index c974cbd..9e1f7d0 100644
--- a/src/odbc/unittests/lang_error.c
+++ b/src/odbc/unittests/lang_error.c
@@ -2,7 +2,7 @@
 
 /* Test if SQLExecDirect return error if a error in row is returned */
 
-static char software_version[] = "$Id: lang_error.c,v 1.4 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: lang_error.c,v 1.5 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -11,7 +11,7 @@ main(int argc, char *argv[])
 	Connect();
 
 	/* issue print statement and test message returned */
-	CHKR(CommandWithResult, (Statement, "SELECT DATEADD(dd,-100000,getdate())"), "E");
+	Command2("SELECT DATEADD(dd,-100000,getdate())", "E");
 
 	Disconnect();
 
diff --git a/src/odbc/unittests/prepclose.c b/src/odbc/unittests/prepclose.c
index 78ae112..8fa19ba 100644
--- a/src/odbc/unittests/prepclose.c
+++ b/src/odbc/unittests/prepclose.c
@@ -26,7 +26,7 @@
  * prepare or execute a query. This should fail and return an error message.
  */
 
-static char software_version[] = "$Id: prepclose.c,v 1.4 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: prepclose.c,v 1.5 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if HAVE_FSTAT && defined(S_IFSOCK)
@@ -65,7 +65,6 @@ static int
 Test(int direct)
 {
 	char buf[256];
-	SQLRETURN RetCode;
 	unsigned char sqlstate[6];
 
 	Connect();
diff --git a/src/odbc/unittests/print.c b/src/odbc/unittests/print.c
index 9ba83ae..9deb9c8 100644
--- a/src/odbc/unittests/print.c
+++ b/src/odbc/unittests/print.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: print.c,v 1.21 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: print.c,v 1.22 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -32,7 +32,7 @@ test(int odbc3)
 	/* issue print statement and test message returned */
 	output[0] = 0;
 	query = "print 'START' select count(*) from sysobjects where name='sysobjects' print 'END'";
-	CHKR(CommandWithResult, (Statement, query), "I");
+	Command2(query, "I");
 	ReadError();
 	if (!strstr((char *) output, "START")) {
 		printf("Message invalid\n");
@@ -95,7 +95,7 @@ test(int odbc3)
 	}
 
 	/* issue invalid command and test error */
-	CHKR(CommandWithResult, (Statement, "SELECT donotexistsfield FROM donotexiststable"), "E");
+	Command2("SELECT donotexistsfield FROM donotexiststable", "E");
 	ReadError();
 
 	/* test no data returned */
diff --git a/src/odbc/unittests/putdata.c b/src/odbc/unittests/putdata.c
index 1598231..7d70afc 100644
--- a/src/odbc/unittests/putdata.c
+++ b/src/odbc/unittests/putdata.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLPutData */
 
-static char software_version[] = "$Id: putdata.c,v 1.14 2008/11/04 14:46:17 freddy77 Exp $";
+static char software_version[] = "$Id: putdata.c,v 1.15 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char test_text[] =
@@ -131,7 +131,7 @@ main(int argc, char *argv[])
 
 		ind = SQL_LEN_DATA_AT_EXEC(0);
 
-		CHKExecute("Ne");
+		RetCode = CHKExecute("Ne");
 		while (RetCode == SQL_NEED_DATA) {
 			RetCode = SQLParamData(Statement, &ptr);
 			if (RetCode == SQL_NEED_DATA) {
diff --git a/src/odbc/unittests/raiserror.c b/src/odbc/unittests/raiserror.c
index 0321b2f..684df8c 100644
--- a/src/odbc/unittests/raiserror.c
+++ b/src/odbc/unittests/raiserror.c
@@ -4,7 +4,7 @@
 
 /* TODO add support for Sybase */
 
-static char software_version[] = "$Id: raiserror.c,v 1.23 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: raiserror.c,v 1.24 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SP_TEXT "{?=call #tmp1(?,?,?)}"
@@ -42,7 +42,7 @@ TestResult(SQLRETURN result0, int level, const char *func)
 	SQLINTEGER NativeError;
 	char MessageText[1000];
 	SQLSMALLINT TextLength;
-	SQLRETURN result = result0;
+	SQLRETURN result = result0, rc;
 
 	if (result == SQL_NO_DATA && strcmp(func, "SQLFetch") == 0)
 		result = SQL_SUCCESS_WITH_INFO;
@@ -61,8 +61,8 @@ TestResult(SQLRETURN result0, int level, const char *func)
 	SqlState[0] = 0;
 	MessageText[0] = 0;
 	NativeError = 0;
-	CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, SqlState, &NativeError, (SQLCHAR *) MessageText, sizeof(MessageText), &TextLength, "SI");
-	printf("Func=%s Result=%d DIAG REC 1: State=%s Error=%d: %s\n", func, (int) RetCode, SqlState, (int) NativeError, MessageText);
+	rc = CHKGetDiagRec(SQL_HANDLE_STMT, Statement, 1, SqlState, &NativeError, (SQLCHAR *) MessageText, sizeof(MessageText), &TextLength, "SI");
+	printf("Func=%s Result=%d DIAG REC 1: State=%s Error=%d: %s\n", func, (int) rc, SqlState, (int) NativeError, MessageText);
 
 	if (strstr(MessageText, "An error occurred") == NULL) {
 		fprintf(stderr, "Wrong error returned!\n");
@@ -78,11 +78,11 @@ CheckData(const char *s, int line)
 {
 	char buf[80];
 	SQLLEN ind;
-	SQLRETURN RetCode;
+	SQLRETURN rc;
 
-	CHKGetData(1, SQL_C_CHAR, buf, sizeof(buf), &ind, "SE");
+	rc = CHKGetData(1, SQL_C_CHAR, buf, sizeof(buf), &ind, "SE");
 
-	if (RetCode == SQL_ERROR) {
+	if (rc == SQL_ERROR) {
 		buf[0] = 0;
 		ind = 0;
 	}
@@ -245,7 +245,7 @@ Test2(int nocount, int second_select)
 
 	sprintf(sql, create_proc, nocount ? "     SET NOCOUNT ON\n" : "",
 		second_select ? "     SELECT 'Here is the last row' AS LastResult\n" : "");
-	CHKR(CommandWithResult, (Statement, sql), "SNo");
+	Command(sql);
 
 	Test(5);
 
diff --git a/src/odbc/unittests/tables.c b/src/odbc/unittests/tables.c
index 6595f9c..4c85dca 100644
--- a/src/odbc/unittests/tables.c
+++ b/src/odbc/unittests/tables.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: tables.c,v 1.16 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: tables.c,v 1.17 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef WIN32
@@ -57,7 +57,6 @@ static void
 DoTest(const char *type, int row_returned)
 {
 	int table_len = SQL_NULL_DATA;
-	SQLRETURN RetCode;
 	char table_buf[80];
 	int found = 0;
 
@@ -116,11 +115,6 @@ DoTest(const char *type, int row_returned)
 			break;
 	}
 
-	if (RetCode != SQL_NO_DATA) {
-		printf("Unexpected data\n");
-		exit(1);
-	}
-
 	if (expect && !found) {
 		printf("expected row not found\n");
 		exit(1);
diff --git a/src/odbc/unittests/timeout.c b/src/odbc/unittests/timeout.c
index ee3edef..230c89a 100644
--- a/src/odbc/unittests/timeout.c
+++ b/src/odbc/unittests/timeout.c
@@ -3,7 +3,7 @@
 
 /* Test timeout of query */
 
-static char software_version[] = "$Id: timeout.c,v 1.11 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: timeout.c,v 1.12 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -59,7 +59,7 @@ main(int argc, char *argv[])
 	EndTransaction(SQL_ROLLBACK);
 
 	/* TODO should return error S1T00 Timeout expired, test error message */
-	CHKR(CommandWithResult, (Statement, "update test_timeout set t = 'bad' where n = 1"), "E");
+	Command2("update test_timeout set t = 'bad' where n = 1", "E");
 
 	EndTransaction(SQL_ROLLBACK);
 
diff --git a/src/odbc/unittests/timeout4.c b/src/odbc/unittests/timeout4.c
index 14e3edd..cb0cbea 100644
--- a/src/odbc/unittests/timeout4.c
+++ b/src/odbc/unittests/timeout4.c
@@ -39,7 +39,7 @@
  * prepare or execute a query. This should fail and return an error message.
  */
 
-static char software_version[] = "$Id: timeout4.c,v 1.3 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: timeout4.c,v 1.4 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #if HAVE_FSTAT && defined(S_IFSOCK)
@@ -80,7 +80,6 @@ static int
 Test(int direct)
 {
 	char buf[256];
-	SQLRETURN RetCode;
 	char sqlstate[6];
 	time_t start_time, end_time;
 
diff --git a/src/odbc/unittests/transaction.c b/src/odbc/unittests/transaction.c
index d90a685..54c4558 100644
--- a/src/odbc/unittests/transaction.c
+++ b/src/odbc/unittests/transaction.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: transaction.c,v 1.15 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: transaction.c,v 1.16 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int
@@ -8,7 +8,6 @@ Test(int discard_test)
 {
 	SQLINTEGER out_buf;
 	SQLLEN out_len;
-	SQLRETURN RetCode;
 	SQLLEN rows;
 	int retcode = 0;
 	char buf[512];
diff --git a/src/odbc/unittests/transaction2.c b/src/odbc/unittests/transaction2.c
index e812296..b297b1a 100644
--- a/src/odbc/unittests/transaction2.c
+++ b/src/odbc/unittests/transaction2.c
@@ -3,7 +3,7 @@
 
 /* Test transaction types */
 
-static char software_version[] = "$Id: transaction2.c,v 1.7 2008/11/11 08:34:09 freddy77 Exp $";
+static char software_version[] = "$Id: transaction2.c,v 1.8 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char odbc_err[256];
@@ -48,7 +48,7 @@ CheckDirtyRead(void)
 	SWAP_CONN();
 
 	/* second transaction try to fetch uncommited row */
-	CHKR(CommandWithResult, (Statement, "SELECT * FROM test_transaction WHERE t = 'second' AND n = 1"), "SE");
+	RetCode = Command2("SELECT * FROM test_transaction WHERE t = 'second' AND n = 1", "SE");
 	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
@@ -77,7 +77,7 @@ CheckNonrepeatableRead(void)
 
 	/* transaction 1 change a row and commit */
 	SWAP_CONN();
-	CHKR(CommandWithResult, (Statement, "UPDATE test_transaction SET t = 'second' WHERE n = 1"), "SE");
+	RetCode = Command2("UPDATE test_transaction SET t = 'second' WHERE n = 1", "SE");
 	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
@@ -114,7 +114,7 @@ CheckPhantom(void)
 
 	/* transaction 1 insert a row that match critera */
 	SWAP_CONN();
-	CHKR(CommandWithResult, (Statement, "INSERT INTO test_transaction(n, t) VALUES(2, 'initial')"), "SE");
+	RetCode = Command2("INSERT INTO test_transaction(n, t) VALUES(2, 'initial')", "SE");
 	if (RetCode == SQL_ERROR) {
 		EndTransaction(SQL_ROLLBACK);
 		SWAP_CONN();
@@ -198,8 +198,6 @@ Test(int txn, const char *expected)
 int
 main(int argc, char *argv[])
 {
-	SQLRETURN RetCode;
-
 	use_odbc_version3 = 1;
 	Connect();
 
diff --git a/src/odbc/unittests/typeinfo.c b/src/odbc/unittests/typeinfo.c
index 038ac5c..b716b65 100644
--- a/src/odbc/unittests/typeinfo.c
+++ b/src/odbc/unittests/typeinfo.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: typeinfo.c,v 1.11 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: typeinfo.c,v 1.12 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -34,8 +34,6 @@ TestName(int index, const char *expected_name)
 static void
 FlushStatement(void)
 {
-	SQLRETURN RetCode;
-
 	while (CHKFetch("SNo") == SQL_SUCCESS)
 		;
 
@@ -53,7 +51,7 @@ CheckType(SQLSMALLINT type, SQLSMALLINT expected, const char *string_type, int l
 
 	CHKBindCol(2, SQL_C_SSHORT, &out_type, 0, &ind, "SI");
 	CHKGetTypeInfo(type, "SI");
-	CHKFetch("SNo");
+	RetCode = CHKFetch("SNo");
 	switch (RetCode) {
 	case SQL_SUCCESS:
 		if (expected == SQL_UNKNOWN_TYPE) {
@@ -88,7 +86,6 @@ DoTest(int version3)
 	SQLSMALLINT type, is_unsigned;
 	SQLINTEGER col_size, min_scale;
 	SQLLEN ind1, ind2, ind3, ind4, ind5, ind6;
-	SQLRETURN RetCode;
 	int date_time_supported = 0;
 
 	use_odbc_version3 = version3;
@@ -124,8 +121,7 @@ DoTest(int version3)
 	/* numeric type for data */
 
 	/* test for date/time support */
-	RetCode = CommandWithResult(Statement, "select cast(getdate() as date)");
-	if (RetCode == SQL_SUCCESS)
+	if (CommandWithResult(Statement, "select cast(getdate() as date)") == SQL_SUCCESS)
 		date_time_supported = 1;
 	SQLCloseCursor(Statement);
 
diff --git a/src/odbc/unittests/utf8.c b/src/odbc/unittests/utf8.c
index 671b37b..d53c986 100755
--- a/src/odbc/unittests/utf8.c
+++ b/src/odbc/unittests/utf8.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 /* test binding with UTF-8 encoding */
-static char software_version[] = "$Id: utf8.c,v 1.10 2008/11/06 15:56:39 freddy77 Exp $";
+static char software_version[] = "$Id: utf8.c,v 1.11 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void init_connect(void);
@@ -17,10 +17,10 @@ init_connect(void)
 static void
 CheckNoRow(const char *query)
 {
-	SQLRETURN RetCode;
+	SQLRETURN rc;
 
-	CHKExecDirect((SQLCHAR *) query, SQL_NTS, "SINo");
-	if (RetCode == SQL_NO_DATA)
+	rc = CHKExecDirect((SQLCHAR *) query, SQL_NTS, "SINo");
+	if (rc == SQL_NO_DATA)
 		return;
 
 	do {
diff --git a/src/odbc/unittests/warning.c b/src/odbc/unittests/warning.c
index 8a0d866..a7ce5e6 100644
--- a/src/odbc/unittests/warning.c
+++ b/src/odbc/unittests/warning.c
@@ -14,7 +14,7 @@
  * inside recordset
  * Sybase do not return warning but test works the same
  */
-static char software_version[] = "$Id: warning.c,v 1.8 2008/11/04 14:46:18 freddy77 Exp $";
+static char software_version[] = "$Id: warning.c,v 1.9 2008/12/03 12:55:52 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char one_null_with_warning[] = "select max(a) as foo from (select convert(int, null) as a) as test";
@@ -28,8 +28,6 @@ static const int tds_no_dm = 0;
 static void
 Test(const char *query)
 {
-	SQLRETURN RetCode;
-
 	CHKPrepare((SQLCHAR *) query, SQL_NTS, "S");
 
 	CHKExecute("S");

